COSH(3) | Library Functions Manual | COSH(3)

# NAME

cosh, coshf — hyperbolic cosine function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>
double
cosh(double x);
float
coshf(float x);

# DESCRIPTION

The cosh() and coshf() functions compute the hyperbolic cosine of x.

# RETURN VALUES

If the magnitude of x is too large, cosh(x) and coshf(x) return Inf and sets the global variable errno to ERANGE.

# SEE ALSO

acos(3), asin(3), atan(3), atan2(3), cos(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The cosh() function conforms to ANSI X3.159-1989 (“ANSI C89”).

May 2, 1991 | NetBSD 8.2